import * as React from 'react';
import { StyleSheet, View, Text, Button, Linking } from 'react-native';
import Header from '../shared/header';

const express = require('express');
const bodyParser = require('body-parser');
const mysql = require('mysql');

const connection = mysql.createPool({
    host     : 'ada.uprrp.edu',
    user     : 'pablo.puig1',
    passw    : '9NA3kSExI2fGE6eV',
    database : 'techos'
});

// Starting our app.
const app = express();

// Creating a GET route that returns data from the 'users' table.
app.get('/users', function (req, res) {
    // Connecting to the database.
    connection.getConnection(function (err, connection) {

    // Executing the MySQL query (select all data from the 'users' table).
    connection.query('SELECT * FROM users', function (error, results, fields) {
      // If some error occurs, we throw an error.
      if (error) throw error;

      // Getting the 'response' from the database and sending it to our route. This is were the data is.
      res.send(results)
    });
  });
});

// Starting our server.
app.listen(3000, () => {
 console.log('Go to http://localhost:3000/users so you can see the data.');
});




export default function Solicitar({navigation}) {
    return (
        <View style={styles.container}>
         <Text>Solicitar Screen{"\n\n"}</Text>
         <Button
            onPress={ () => {Linking.openURL("https://forms.gle/SciwvAdF3TAE6hE97")}}
            title="Solicita Ayuda"
            accessibilityLable="Solicitar presionando el botón"
         />
         <Text>{"\n\n"}</Text>
         try(){
            fetch('http://ada.uprrp.edu:3000/users')
            .then(response => response.json())
            .then(users => console.warn(users))
         }
        </View>
    )
}

const styles = StyleSheet.create({
    container: {
        padding: 24
    },
});
